Subject: Re: [PATCH v2] powerpc: warn on emulation of dcbz instruction in kernel mode

From: Christoph Hellwig <[email-masked]>
Date: Thu, 22 Aug 2024 07:32:38 +0200

On Thu, Aug 22, 2024 at 05:25:10AM +0000, LEROY Christophe wrote:
> > and this results in a call to dma_direct_allocation(), which has one
> > innocent looking memset():
> 
> 
> memset() can't be used on non-cached memory, memset_io() has to be used
> instead.

No, we use memset on uncached memory all the time.  Note that uncached
memory != __iomem memory, for which you DO have to use memset_io.